Get Payment Verification Details
curl --request GET \
--url https://sandbox.cashfree.com/import/transactions/{cf_payment_id}{
"cf_payment_id": 5114910606536,
"payment_status": "SUCCESS",
"payment_verification_status": "ACTION_REQUIRED",
"payment_expiry": "2024-07-10T15:39:49",
"remarks": null,
"details": [
{
"doc_name": "shop_or_brand_name",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "partner_order_number",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "goods_description",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "invoice_number",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "importer_name",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "importer_address",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "country_of_origin",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "invoice_file",
"doc_type": "DOCUMENT",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "ecommerce_order_serial_number",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "hs_code",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "shipment_date",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "port_of_loading",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "awb_number",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
}
]
}Get payment verification details
GET
/
import
/
transactions
/
{cf_payment_id}
Get Payment Verification Details
curl --request GET \
--url https://sandbox.cashfree.com/import/transactions/{cf_payment_id}{
"cf_payment_id": 5114910606536,
"payment_status": "SUCCESS",
"payment_verification_status": "ACTION_REQUIRED",
"payment_expiry": "2024-07-10T15:39:49",
"remarks": null,
"details": [
{
"doc_name": "shop_or_brand_name",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "partner_order_number",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "goods_description",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "invoice_number",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "importer_name",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "importer_address",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "country_of_origin",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "invoice_file",
"doc_type": "DOCUMENT",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "ecommerce_order_serial_number",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "hs_code",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "shipment_date",
"doc_type": "VALUE",
"doc_status": "ACTION_REQUIRED",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "port_of_loading",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
},
{
"doc_name": "awb_number",
"doc_type": "VALUE",
"doc_status": "IN_REVIEW",
"remarks": null,
"added_on": null,
"last_updated_on": null
}
]
}Documentation Index
Fetch the complete documentation index at: https://telr-docs.cashfree.com/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
Successful payment ID for the created order.
Response
200
Successful payment ID for the created order
Example:
5114910606536
Payment status
Example:
"SUCCESS"
Payment verification status
Available options:
ACTION_REQUIRED, IN_REVIEW, VERIFIED, EXPIRED Example:
"ACTION_REQUIRED"
Date and time at which the payment will expire if the required docs are not uploaded
Example:
"2025-01-16T12:34:10+05:30"
Verification remarks for the transaction
Example:
"Transaction reject due to invalid doc"
Show child attributes
Show child attributes
⌘I
